#include <iostream>

using namespace std;
const int max_N=100005;
int niz[max_N] ;
int main()
{
    int N;
    int M;
    cin>>N;
    cin>>M;
    int br;
    int zbir=0;
    for(int i=1;i<N+1;i++){
        scanf("%d",&br);
        niz[i]=br;
    }

    int a;
    int b;
    int p;
    for(int i=0;i<M;i++){
        scanf("%d",&a);
        scanf("%d",&b);
        p=(niz[a]+niz[b]);

        if((-niz[a]-niz[b])>p)
            p=-niz[a]-niz[b];

        zbir+=p;


    }
    cout<<zbir;

    return 0;
}